Bug 178727 - [UPDATE] emulators/dosbox -> add desktop entry
Summary: [UPDATE] emulators/dosbox -> add desktop entry
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-17 21:40 UTC by hardy.schumacher
Modified: 2013-05-24 18:50 UTC (History)
0 users

See Also:


Attachments
file.diff (492 bytes, patch)
2013-05-17 21:40 UTC, hardy.schumacher
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hardy.schumacher 2013-05-17 21:40:00 UTC
Add desktop entry for port "emulators/dosbox".

Fix: Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2013-05-17 21:40:13 UTC
Maintainer of emulators/dosbox,

Please note that PR ports/178727 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178727

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-05-17 21:40:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Tom Carrick 2013-05-21 16:36:02 UTC
Please commit.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2013-05-21 21:04:50 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Pawel Pekala freebsd_committer 2013-05-24 17:47:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 6 dfilter service freebsd_committer 2013-05-24 18:48:59 UTC
Author: pawel
Date: Fri May 24 17:48:46 2013
New Revision: 318998
URL: http://svnweb.freebsd.org/changeset/ports/318998

Log:
  - Add desktop entry file [1]
  - Remove leading article from COMMENT
  - Convert to OptionsNG
  - Trim Makefile header
  
  PR:		ports/178727 [1]
  Submitted by:	Hardy Schumacher <hardy.schumacher@gmx.de> [1]
  Approved by:	maintainer

Modified:
  head/emulators/dosbox/Makefile   (contents, props changed)

Modified: head/emulators/dosbox/Makefile
==============================================================================
--- head/emulators/dosbox/Makefile	Fri May 24 17:41:51 2013	(r318997)
+++ head/emulators/dosbox/Makefile	Fri May 24 17:48:46 2013	(r318998)
@@ -1,18 +1,14 @@
-# New ports collection makefile for:   dosbox
-# Date created:        28 July 2002
-# Whom:                Tom Carrick <knyghtmare@knyghtmare.com>
-#
+# Created by: Tom Carrick <knyghtmare@knyghtmare.com>
 # $FreeBSD$
-#
 
 PORTNAME=	dosbox
 PORTVERSION=	0.74
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	emulators
 MASTER_SITES=	SF
 
 MAINTAINER=	knyght@gmail.com
-COMMENT=	An emulator of a PC with DOS
+COMMENT=	Emulator of a PC with DOS
 
 LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png
 
@@ -27,6 +23,12 @@ PKGMESSAGE=	${WRKDIR}/pkg-message
 CPPFLAGS+=		-I${LOCALBASE}/include
 CONFIGURE_ARGS+=	--enable-core-inline
 
+DESKTOP_ENTRIES="DOSBox" "${COMMENT}" \
+		"" "dosbox" \
+		"System;Emulator;" "true"
+
+.include <bsd.port.options.mk>
+
 post-patch:
 	@${REINPLACE_CMD} -e 's#\/usr\/share\/doc\/dosbox#${DOCSDIR}#g' \
 		${WRKSRC}/docs/dosbox.1
@@ -34,7 +36,7 @@ post-patch:
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/src/dosbox ${PREFIX}/bin/dosbox
 	${INSTALL_MAN} ${WRKSRC}/docs/dosbox.1 ${MAN1PREFIX}/man/man1/
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/NEWS ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Pawel Pekala freebsd_committer 2013-05-24 18:49:03 UTC
State Changed
From-To: open->closed

Committed. Thanks!